package com.gic.haoban.manage.web.vo.order.refund;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城退款记录
 *
 * @author zxy
 */
public class OrderRefundExcelVO implements Serializable {

    private static final long serialVersionUID = 1L;
    private String orderRefundId;
    private String orderId;// 订单ID
    private String orderItemId;// 订单项ID
    private String orderNumber;
    private String orderRefundNumber; // 退款编号
    private Integer refundType;// 退款类型：0，仅退款，1退货退款
    private double refundNumber = 0.00d;// 退款商品件数（或单位 贵金属-重量等）
    private double payAmount; // 实付金额
    private double applyRefundPrice = 0.00d;// 申请退款金额
    private double refundPrice = 0.00d;// 退款金额 实付部分
    private int refundPoints = 0;// 退款 积分部分

    private String refundLogisticsId; // 物流退款id
    private String logisticsName;// 物流名称
    private String logisticsNumber;// 物流单号

    // 1退款待处理 2成功 3退款关闭 4待买家退货 5待商家收货 6拒绝退款
    private int refundStatus = 1;

    private Date createTime;// 创建记录时间

    private String mallProName;// 商城商品Name
    private String mallProImageUrl;// 商城商品图片url
    private String mallProSkuAttr;
    private String mallProSkuCode;
    private String sellerRemark; // 商家备注
    private String memberId ;
    private String memberName;
    private String memberCardNo;
    // 赠品1是0否
    private int giftFlag;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public int getGiftFlag() {
        return giftFlag;
    }

    public void setGiftFlag(int giftFlag) {
        this.giftFlag = giftFlag;
    }

    public String getOrderRefundId() {
        return orderRefundId;
    }

    public String getOrderId() {
        return orderId;
    }

    public String getOrderItemId() {
        return orderItemId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public String getOrderRefundNumber() {
        return orderRefundNumber;
    }

    public Integer getRefundType() {
        return refundType;
    }

    public double getRefundNumber() {
        return refundNumber;
    }

    public String getRefundLogisticsId() {
        return refundLogisticsId;
    }

    public String getLogisticsName() {
        return logisticsName;
    }

    public String getLogisticsNumber() {
        return logisticsNumber;
    }

    public double getApplyRefundPrice() {
        return applyRefundPrice;
    }

    public double getRefundPrice() {
        return refundPrice;
    }

    public int getRefundStatus() {
        return refundStatus;
    }

    public int getRefundPoints() {
        return refundPoints;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public String getMallProName() {
        return mallProName;
    }

    public String getMallProImageUrl() {
        return mallProImageUrl;
    }

    public String getMallProSkuAttr() {
        return mallProSkuAttr;
    }

    public double getPayAmount() {
        return payAmount;
    }

    public String getMallProSkuCode() {
        return mallProSkuCode;
    }

    public String getMemberName() {
        return memberName;
    }

    public String getMemberCardNo() {
        return memberCardNo;
    }

    public void setOrderRefundId(String orderRefundId) {
        this.orderRefundId = orderRefundId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public void setOrderItemId(String orderItemId) {
        this.orderItemId = orderItemId;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public void setOrderRefundNumber(String orderRefundNumber) {
        this.orderRefundNumber = orderRefundNumber;
    }

    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    public void setRefundNumber(double refundNumber) {
        this.refundNumber = refundNumber;
    }

    public void setRefundLogisticsId(String refundLogisticsId) {
        this.refundLogisticsId = refundLogisticsId;
    }

    public void setLogisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
    }

    public void setLogisticsNumber(String logisticsNumber) {
        this.logisticsNumber = logisticsNumber;
    }

    public void setApplyRefundPrice(double applyRefundPrice) {
        this.applyRefundPrice = applyRefundPrice;
    }

    public void setRefundPrice(double refundPrice) {
        this.refundPrice = refundPrice;
    }

    public void setRefundStatus(int refundStatus) {
        this.refundStatus = refundStatus;
    }

    public void setRefundPoints(int refundPoints) {
        this.refundPoints = refundPoints;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setMallProName(String mallProName) {
        this.mallProName = mallProName;
    }

    public void setMallProImageUrl(String mallProImageUrl) {
        this.mallProImageUrl = mallProImageUrl;
    }

    public void setMallProSkuAttr(String mallProSkuAttr) {
        this.mallProSkuAttr = mallProSkuAttr;
    }

    public void setPayAmount(double payAmount) {
        this.payAmount = payAmount;
    }

    public void setMallProSkuCode(String mallProSkuCode) {
        this.mallProSkuCode = mallProSkuCode;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public void setMemberCardNo(String memberCardNo) {
        this.memberCardNo = memberCardNo;
    }

    public String getSellerRemark() {
        return sellerRemark;
    }

    public void setSellerRemark(String sellerRemark) {
        this.sellerRemark = sellerRemark;
    }
}
